libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DictAggregate Class Reference

Represents an aggregate in the DBMS (like COUNT() or AVG(), for example). More...

Inheritance diagram for Gnome::Gda::DictAggregate:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<const DictType> | get_arg_dict_type () const
| To consult the list of arguments types (and number) of a aggregate.
Glib::RefPtr<DictType> | get_arg_dict_type ()
| To consult the list of arguments types (and number) of a aggregate.
Glib::ustring | get_dbms_id () const
| Get the DBMS identifier of the aggregate.
Glib::RefPtr<const DictType> | get_ret_dict_type () const
| To consult the return type of a aggregate.
Glib::RefPtr<DictType> | get_ret_dict_type ()
| To consult the return type of a aggregate.
Glib::ustring | get_sqlname () const
| Get the DBMS's name of a data type.
const GdaDictAggregate* | gobj () const
| Provides access to the underlying C GObject.
GdaDictAggregate* | gobj ()
| Provides access to the underlying C GObject.
GdaDictAggregate* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_arg_dict_type (const Glib::RefPtr<DictType>& dt)
| Set the argument type of a aggregate.
void | set_dbms_id (const Glib::ustring& id)
| Set the DBMS identifier of the aggregate.
void | set_ret_dict_type (const Glib::RefPtr<DictType>& dt)
| Set the return type of a aggregate.
void | set_sqlname (const Glib::ustring& sqlname)
| Set the SQL name of the data type.
virtual | ~DictAggregate ()

## Static Public Member Functions

static Glib::RefPtr<DictAggregate> | create ()

## Protected Member Functions

| DictAggregate ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::DictAggregate> | wrap (GdaDictAggregate* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents an aggregate in the DBMS (like COUNT() or AVG(), for example).

Because aggregates can be polymorphic, the name is not enough to identify them, so the DBMS provides a unique id which can be used to uniquely identify an aggregate.

## Constructor & Destructor Documentation

virtual Gnome::Gda::DictAggregate::~DictAggregate | ( |  | ) | `[virtual]`

Gnome::Gda::DictAggregate::DictAggregate | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<DictAggregate> Gnome::Gda::DictAggregate::create | ( |  | ) | `[static]`

Reimplemented from Gnome::Gda::Object.

Glib::RefPtr<const DictType> Gnome::Gda::DictAggregate::get_arg_dict_type | ( |  | ) | const

To consult the list of arguments types (and number) of a aggregate.

Returns:
  A list of Gda::DictType objects, the list MUST NOT be modified.

Glib::RefPtr<DictType> Gnome::Gda::DictAggregate::get_arg_dict_type | ( |  | ) |

To consult the list of arguments types (and number) of a aggregate.

Returns:
  A list of Gda::DictType objects, the list MUST NOT be modified.

Glib::ustring Gnome::Gda::DictAggregate::get_dbms_id | ( |  | ) | const

Get the DBMS identifier of the aggregate.

Returns:
  The aggregate's id.

Glib::RefPtr<const DictType> Gnome::Gda::DictAggregate::get_ret_dict_type | ( |  | ) | const

To consult the return type of a aggregate.

Returns:
  A Gda::DictType object.

Glib::RefPtr<DictType> Gnome::Gda::DictAggregate::get_ret_dict_type | ( |  | ) |

To consult the return type of a aggregate.

Returns:
  A Gda::DictType object.

Glib::ustring Gnome::Gda::DictAggregate::get_sqlname | ( |  | ) | const

Get the DBMS's name of a data type.

Returns:
  The name of the data type.

const GdaDictAggregate* Gnome::Gda::DictAggregate::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

GdaDictAggregate* Gnome::Gda::DictAggregate::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::Object.

GdaDictAggregate* Gnome::Gda::DictAggregate::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::Object.

void Gnome::Gda::DictAggregate::set_arg_dict_type | ( | const Glib::RefPtr<DictType>& | dt | ) |

Set the argument type of a aggregate.

Parameters:

  | dt | A Gda::DictType objects or #`0` value to represent the data type of the aggregate's unique argument .

void Gnome::Gda::DictAggregate::set_dbms_id | ( | const Glib::ustring & | id | ) |

Set the DBMS identifier of the aggregate.

Parameters:

  | id | The DBMS identifier.

void Gnome::Gda::DictAggregate::set_ret_dict_type | ( | const Glib::RefPtr<DictType>& | dt | ) |

Set the return type of a aggregate.

Parameters:

  | dt | A Gda::DictType object or #`0`.

void Gnome::Gda::DictAggregate::set_sqlname | ( | const Glib::ustring & | sqlname | ) |

Set the SQL name of the data type.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::DictAggregate> wrap | ( | GdaDictAggregate * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- dictaggregate.h